org.apache.hadoop.yarn.server.api.impl.pb.client

## Class SCMUploaderProtocolPBClientImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.impl.pb.client.SCMUploaderProtocolPBClientImpl

- All Implemented Interfaces:
    Closeable, AutoCloseable, SCMUploaderProtocol

      public class SCMUploaderProtocolPBClientImpl
      extends Object
      implements SCMUploaderProtocol, Closeable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCMUploaderProtocolPBClientImpl(long clientVersion, InetSocketAddress addr, org.apache.hadoop.conf.Configuration conf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCMUploaderCanUploadResponse` | `canUpload(SCMUploaderCanUploadRequest request)` The method used by the NodeManager's `SharedCacheUploadService` to request whether a resource can be uploaded.
    `void` | `close()`
    `SCMUploaderNotifyResponse` | `notify(SCMUploaderNotifyRequest request)` The method used by the NodeManager's `SharedCacheUploadService` to notify the shared cache manager of a newly cached resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCMUploaderProtocolPBClientImpl

          public SCMUploaderProtocolPBClientImpl(long clientVersion,
                                                 InetSocketAddress addr,
                                                 org.apache.hadoop.conf.Configuration conf)
                                          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

    - #### notify

          public SCMUploaderNotifyResponse notify(SCMUploaderNotifyRequest request)
                                           throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                  IOException

      Description copied from interface: `SCMUploaderProtocol`

      The method used by the NodeManager's `SharedCacheUploadService` to notify the shared cache manager of a newly cached resource.

      The `SharedCacheManager` responds with whether or not the NodeManager should delete the uploaded file.

      Specified by:
        `notify` in interface `SCMUploaderProtocol`
      Parameters:
        `request` - notify the shared cache manager of a newly uploaded resource to the shared cache
      Returns:
        response indicating if the newly uploaded resource should be deleted
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

    - #### canUpload

          public SCMUploaderCanUploadResponse canUpload(SCMUploaderCanUploadRequest request)
                                                 throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                        IOException

      Description copied from interface: `SCMUploaderProtocol`

      The method used by the NodeManager's `SharedCacheUploadService` to request whether a resource can be uploaded.

      The `SharedCacheManager` responds with whether or not the NodeManager can upload the file.

      Specified by:
        `canUpload` in interface `SCMUploaderProtocol`
      Parameters:
        `request` - whether the resource can be uploaded to the shared cache
      Returns:
        response indicating if resource can be uploaded to the shared cache
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException`
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.